com.amazonaws.services.codedeploy.model

## Class AmazonCodeDeployException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.codedeploy.model.AmazonCodeDeployException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlarmsLimitExceededException, ApplicationAlreadyExistsException, ApplicationDoesNotExistException, ApplicationLimitExceededException, ApplicationNameRequiredException, BatchLimitExceededException, BucketNameFilterRequiredException, DeploymentAlreadyCompletedException, DeploymentConfigAlreadyExistsException, DeploymentConfigDoesNotExistException, DeploymentConfigInUseException, DeploymentConfigLimitExceededException, DeploymentConfigNameRequiredException, DeploymentDoesNotExistException, DeploymentGroupAlreadyExistsException, DeploymentGroupDoesNotExistException, DeploymentGroupLimitExceededException, DeploymentGroupNameRequiredException, DeploymentIdRequiredException, DeploymentLimitExceededException, DeploymentNotStartedException, DescriptionTooLongException, IamUserArnAlreadyRegisteredException, IamUserArnRequiredException, InstanceDoesNotExistException, InstanceIdRequiredException, InstanceLimitExceededException, InstanceNameAlreadyRegisteredException, InstanceNameRequiredException, InstanceNotRegisteredException, InvalidAlarmConfigException, InvalidApplicationNameException, InvalidAutoRollbackConfigException, InvalidAutoScalingGroupException, InvalidBucketNameFilterException, InvalidDeployedStateFilterException, InvalidDeploymentConfigNameException, InvalidDeploymentGroupNameException, InvalidDeploymentIdException, InvalidDeploymentStatusException, InvalidEC2TagException, InvalidIamUserArnException, InvalidInstanceNameException, InvalidInstanceStatusException, InvalidKeyPrefixFilterException, InvalidMinimumHealthyHostValueException, InvalidNextTokenException, InvalidOperationException, InvalidRegistrationStatusException, InvalidRevisionException, InvalidRoleException, InvalidSortByException, InvalidSortOrderException, InvalidTagException, InvalidTagFilterException, InvalidTimeRangeException, InvalidTriggerConfigException, LifecycleHookLimitExceededException, RevisionDoesNotExistException, RevisionRequiredException, RoleRequiredException, TagLimitExceededException, TagRequiredException, TriggerTargetsLimitExceededException

    public class AmazonCodeDeployException
    extends AmazonServiceException

Base exception for all service exceptions thrown by AWS CodeDeploy

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`AmazonCodeDeployException(String message)` Constructs a new AmazonCodeDeployException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AmazonCodeDeployException

    public AmazonCodeDeployException(String message)

Constructs a new AmazonCodeDeployException with the specified error message.

Parameters:
  `message` - Describes the error encountered.